org.apache.ivy.osgi.core

## Class ExecutionEnvironmentProfileProvider

- java.lang.Object
- - org.apache.ivy.osgi.core.ExecutionEnvironmentProfileProvider

    public class ExecutionEnvironmentProfileProvider
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`ExecutionEnvironmentProfileProvider()`

### Method Summary

Methods
`static ExecutionEnvironmentProfileProvider` `getInstance()`
`ExecutionEnvironmentProfile` `getProfile(java.lang.String profile)`
`static java.util.Map<java.lang.String,ExecutionEnvironmentProfile>` `loadDefaultProfileList()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExecutionEnvironmentProfileProvider

    public ExecutionEnvironmentProfileProvider()
                                        throws java.io.IOException

Throws:
  `java.io.IOException`

### Method Detail

#### getInstance

    public static ExecutionEnvironmentProfileProvider getInstance()

#### getProfile

    public ExecutionEnvironmentProfile getProfile(java.lang.String profile)

#### loadDefaultProfileList

    public static java.util.Map<java.lang.String,ExecutionEnvironmentProfile> loadDefaultProfileList()
                                                                                              throws java.io.IOException

Throws:
  `java.io.IOException`